<?php


namespace App\ViewModels\Perfil\PerfilDetailsViewModel;


use App\Utils\Entity;

class PerfilDetailsViewModel extends Entity
{
    protected $perfil_id;
    protected $perfil_nome;
    protected $permissoes;

    public static function builder() : PerfilDetailsViewModelBuilder
    {
        return new PerfilDetailsViewModelBuilder;
    }

    /**
     * @return mixed
     */
    public function getPerfilId()
    {
        return $this->perfil_id;
    }

    /**
     * @param mixed $perfil_id
     */
    public function setPerfilId($perfil_id): void
    {
        $this->perfil_id = $perfil_id;
    }

    /**
     * @return mixed
     */
    public function getPerfilNome()
    {
        return $this->perfil_nome;
    }

    /**
     * @param mixed $perfil_nome
     */
    public function setPerfilNome($perfil_nome): void
    {
        $this->perfil_nome = $perfil_nome;
    }

    /**
     * @return mixed
     */
    public function getPermissoes()
    {
        return $this->permissoes;
    }

    /**
     * @param mixed $permissoes
     */
    public function setPermissoes($permissoes): void
    {
        $this->permissoes = $permissoes;
    }

}